Retrieve Allocation

View as Markdown

Retrieve Allocation by ID

The Infrastructure Provider and Tenant are inferred from the org’s membership. Allocation must belong to the Provider or Tenant associated with the org.

User must have authorization role with PROVIDER_ADMIN or TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
allocationIdstringRequiredformat: "uuid"
ID of the Allocation

Query parameters

infrastructureProviderIdstringOptionalformat: "uuid"Deprecated
Filter Allocations by Infrastructure Provider ID.
tenantIdstringOptionalformat: "uuid"Deprecated
Filter Allocations by Tenant ID.
includeRelationenumOptional
Related entity to expand
Allowed values:

Response

OK
idstringRead-onlyformat: "uuid"
ID of the Allocation
namestring2-256 characters
Concise and descriptive name of the Allocation
descriptionstring or null
Detailed description of the Allocation
infrastructureProviderIdstringformat: "uuid"
ID of the Infrastructure Provider that created the Allocation
tenantIdstringformat: "uuid"
ID of the Tenant that received the Allocation
siteIdstringformat: "uuid"
ID of the Site where resources are allocated
statusenum
Status of the Allocation
statusHistorylist of objectsRead-only
Chronological status history for the Allocation
allocationConstraintslist of objects
List of Allocation Constraints for the Allocation
createddatetimeRead-only

Date/time when the Allocation was created

updateddatetimeRead-only

Date/time when the Allocation was last updated

Errors

403
Forbidden Error